# $Revision: 1.15 $, $Date: 2006/09/02 17:32:49 $
%include	/usr/lib/rpm/macros.php
%define		_class		LiveUser
%define		_subclass	Admin
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - user authentication and permission management framework
Summary(pl):	%{_pearname} - uwierzytelnianie uytkownikw i zarzdzanie uprawnieniami
Name:		php-pear-%{_pearname}
Version:	0.3.9
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	7dd4abf529fd60b9a3637f0801374a33
URL:		http://pear.php.net/package/LiveUser_Admin/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-LiveUser >= 0.16.0
Requires:	php-pear-PEAR-core >= 1:1.3.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LiveUser_Admin is meant to be used with the LiveUser package. It is
composed of all the classes necessary to administrate data used by
LiveUser.

In PEAR status of this package is: %{_status}.

%description -l pl
LiveUser_Admin przeznaczony jest do uywania wraz z klas LiveUser.
Skada si ze wszystkich klas potrzebnych do administracji danymi
uywanymi przez klas LiveUser.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-LiveUser_Admin.spec,v $
Revision 1.15  2006/09/02 17:32:49  adamg
- upadted to 0.3.9

Revision 1.14  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.13  2006/04/24 09:23:15  adamg
- updated to 0.3.8

Revision 1.12  2006/04/02 11:22:28  glen
- 0.3.7

Revision 1.11  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.10  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.9  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.8  2005/10/05 20:11:06  glen
- rel 3

Revision 1.7  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.6  2005/09/27 21:29:35  glen
- new pear packaging (fixed %files); rel 2

Revision 1.5  2005/09/04 15:07:58  adamg
- updated to 0.3.4

Revision 1.4  2005/08/21 17:38:06  adamg
- updated to 0.3.3

Revision 1.3  2005/04/03 18:34:40  adamg
- updated to 0.2.1

Revision 1.2  2005/03/21 15:19:58  adamg
- updated to 0.2.0

Revision 1.1  2004/12/20 17:34:22  adamg
- new

